UnrealIRCd Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003671unrealinstallingpublic2008-03-18 01:292008-04-07 15:10
Reporteraegis 
Assigned Tosyzop 
PrioritynormalSeveritytweakReproducibilityN/A
StatusresolvedResolutionfixed 
Platform*OSnixOS Version*
Product Version3.2.7 
Target VersionFixed in Version3.2.8 
Summary0003671: Use c-ares 1.5.1
DescriptionThe patch provided allow c-ares-1.5.1 as a replacement for c-ares-1.4.0.
Additional InformationYou will need to download, and extract, c-ares-1.5.1, apply the c-ares-1.5.1-for-unreal.patch, and repackage as c-ares.tar.gz

You will then need to update the Unreal configure script. You can do so easily like this:

perl -p -i -e 's/cares_version="1.4.0"/cares_version="1.5.1"/' configure

Or by editing the configure script yourself, manually.
TagsNo tags attached.
3rd party modules
Attached Filespatch file icon c-ares-1.5.1-for-unreal.patch [^] (1,114 bytes) 2008-03-18 01:29

- Relationships
related to 0003545resolvedsyzop Remote includes // upgrade c-ares 

-  Notes
(0015254)
syzop (administrator)
2008-04-07 15:10

fixed in .702.
- Upgraded c-ares to 1.5.1, thanks to aegis for the partial patch (0003671).
  This also fixed a curl compile/run issue, reported by static-x (0003545).

thanks for the patch, saved me typing :)

- Issue History
Date Modified Username Field Change
2008-03-18 01:29 aegis New Issue
2008-03-18 01:29 aegis File Added: c-ares-1.5.1-for-unreal.patch
2008-03-29 20:57 syzop Relationship added related to 0003545
2008-04-07 15:10 syzop QA => Not touched yet by developer
2008-04-07 15:10 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2008-04-07 15:10 syzop Status new => resolved
2008-04-07 15:10 syzop Fixed in Version => 3.2.8
2008-04-07 15:10 syzop Resolution open => fixed
2008-04-07 15:10 syzop Assigned To => syzop
2008-04-07 15:10 syzop Note Added: 0015254


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker